Skip to content

Usage Details

GET
/api/v1/pre-paid-date-range-usage/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/pre-paid-date-range-usage/?start_date=<START_DATE>&end_date=<END_DATE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieves prepaid usage details for a given date range. Allows filtering by summary type (e.g., Node) along with project and location.

start_date
required
string

Example

20-01-2025

Start date for the billing estimate (format- DD-MM-YYYY).

end_date
required
string

Example

20-02-2025

End date for the billing estimate (format- DD-MM-YYYY).

summary_type
string

Example

Node

Summary type for grouping the usage data.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Prepaid usage details for the given date range.

Media typeapplication/json
object
code
integer
data
Array<object>
object
name
string
description
string
project_id
integer
created_at__date
string format: date
total_amount
number
project_name
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"name": "ADDON IP",
"description": "164.52.207.136 addon ip",
"project_id": 40473,
"created_at__date": "2025-04-23",
"total_amount": 199,
"project_name": "default-project-35380"
}
],
"errors": {},
"message": "Success"
}